Subject: Re: [bug-diffutils] bug#77840: Testing diffutils 3.12 on PPC Mac OS X 10.4.11, Tiger, produces so many failures

From: Paul Eggert <[email-masked]>
Date: Sat, 21 Jun 2025 00:55:50 -0700

On 2025-06-21 00:52, Peter Dyballa wrote:
>> Am 21.06.2025 um 00:05 schrieb Paul Eggert<[email-masked]>:
>>
>> On 2025-06-20 03:01, Peter Dyballa wrote:
>>> To me "char const *const *" is not the same as "char const *" – could be for PPC Mac OS X 10.4.11 too? I do not understand these code differences anyway.
>> Correct. Read the types right to left. The former is a pointer to a constant pointer to a constant char. The latter is a pointer to a constant char. If you have an expression P of the former type, then *P has the latter type.
> And that's alright?

I expect it's intended, yes. I haven't looked at it carefully recently.